Package org.kapott.hbci.manager

# Enum FlickerCode.Encoding

java.lang.Object
java.lang.Enum<FlickerCode.Encoding>
org.kapott.hbci.manager.FlickerCode.Encoding

All Implemented Interfaces:
  `Serializable`, `Comparable<FlickerCode.Encoding>`, `java.lang.constant.Constable`

Enclosing class:
  `FlickerCode`

public static enum FlickerCode.Encoding extends Enum<FlickerCode.Encoding>
Das Encoding der Nutzdaten.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASC`
ASC-Encoding.
`BCD`
BCD-Encoding.

## Method Summary

Modifier and Type
Method
Description
`static FlickerCode.Encoding`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FlickerCode.Encoding[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ASC

public static final FlickerCode.Encoding ASC
ASC-Encoding.

### BCD

public static final FlickerCode.Encoding BCD
BCD-Encoding.

## Method Details

### values

public static FlickerCode.Encoding[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FlickerCode.Encoding valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null